# NAME

editcap - Edit and/or translate the format of capture files

# SYNOPSYS

editcap [ -c packets per file] [ -E error probability] [ -F file format ] [ -h ] [ -r ] [ -s snaplen ] [ -t time adjustment ] [ -T encapsulation type ] [ -v ] infile outfile [ record#[-record#] ... ]

# DESCRIPTION

Editcap is a program that reads a saved capture file and writes some or all of the packets in that capture file to another capture file. Editcap knows how to read libpcap capture files, including those of tcpdump, Ethereal, and other tools that write captures in that format.

Editcap can read / import the following file formats:

- libpcap/WinPcap, tcpdump and various other tools using tcpdump's capture format
- snoop and atmsnoop
- Shomiti/Finisar Surveyor captures
- Novell LANalyzer captures
- Microsoft Network Monitor captures
- AIX's iptrace captures
- Cinco Networks NetXRay captures
- Network Associates Windows-based Sniffer captures
- Network General/Network Associates DOS-based Sniffer (compressed or uncompressed) captures
- AG Group/WildPackets EtherPeek/TokenPeek/AiroPeek/EtherHelp/PacketGrabber captures
- RADCOM's WAN/LAN analyzer captures
- Network Instruments Observer version 9 captures
- Lucent/Ascend router debug output
- files from HP-UX's nettl
- Toshiba's ISDN routers dump output
- the output from i4btrace from the ISDN4BSD project
- traces from the EyeSDN USB S0.
- the output in IPLog format from the Cisco Secure Intrusion Detection System
- pppd logs (pppdump format)
- the output from VMS's TCPIPtrace/TCPtrace/UCX$TRACE utilities
- the text output from the DBS Etherwatch VMS utility
- Visual Networks' Visual UpTime traffic capture
- the output from CoSine L2 debug
- the output from Accellent's 5Views LAN agents
- Endace Measurement Systems' ERF format captures
- Linux Bluez Bluetooth stack hcidump -w traces

There is no need to tell Editcap what type of file you are reading; it will determine the file type by itself. Editcap is also capable of reading any of these file formats if they are compressed using gzip. Editcap recognizes this directly from the file; the '.gz' extension is not required for this purpose.

By default, it writes the capture file in libpcap format, and writes all of the packets in the capture file to the output file. The -F flag can be used to specify the format in which to write the capture file; it can write the file in libpcap format (standard libpcap format, a modified format used by some patched versions of libpcap, the format used by Red Hat Linux 6.1, or the format used by SuSE Linux 6.3), snoop format, uncompressed Sniffer format, Microsoft Network Monitor 1.x format, the format used by Windows-based versions of the Sniffer software, and the format used by Visual Networks' software.

A list of packet numbers can be specified on the command line; the packets with those numbers will not be written to the capture file, unless the -r flag is specified, in which case only those packets will be written to the capture file. Ranges of packet numbers can be specified as start-end, referring to all packets from start to end (removing them all if -r isn't specified, including them all if -r is specified).

If the -c flag is used to specify the amount of packets in a capture file, the output file will be created with a suffix -nnnnn. The suffix starts at 00000. No more then the specified number of packets are written in the output file before the next output file is opened.

If the -s flag is used to specify a snapshot length, frames in the input file with more captured data than the specified snapshot length will have only the amount of data specified by the snapshot length written to the output file. This may be useful if the program that is to read the output file cannot handle packets larger than a certain size (for example, the versions of snoop in Solaris 2.5.1 and Solaris 2.6 appear to reject Ethernet frames larger than the standard Ethernet MTU, making them incapable of handling gigabit Ethernet captures if jumbo frames were used).

If the -t flag is used to specify a time adjustment, the specified adjustment will be applied to all selected frames in the capture file. The adjustment is specified as [-]seconds[.fractional seconds]. For example, -t 3600 advances the timestamp on selected frames by one hour while -t -0.5 reduces the timestamp on selected frames by one-half second. This feature is useful when synchronizing dumps collected on different machines where the time difference between the two machines is known or can be estimated.

If the -T flag is used to specify an encapsulation type, the encapsulation type of the output capture file will be forced to the specified type, rather than being the type appropriate to the encapsulation type of the input capture file. Note that this merely forces the encapsulation type of the output file to be the specified type; the packet headers of the packets will not be translated from the encapsulation type of the input capture file to the specified encapsulation type (for example, it will not translate an Ethernet capture to an FDDI capture if an Ethernet capture is read and '-T fddi' is specified).

If the -E flag is used to specify a probability (between 0.0 and 1.0 inclusive), Editcap uses that probability to apply errors to each data byte in the file. For instance, a probability of 0.02 means that each byte has a 2% chance of having an error. This option is meant to be used for fuzz-testing protocol dissectors.

# OPTIONS

-c

  Sets the number of packets per output file.

-E

  Sets the probabilty that bytes in the output file are randomly changed.

-F

  Sets the file format of the output capture file.

-T

  Sets the packet encapsulation type of the output capture file.

-r

  Causes the packets whose packet numbers are specified on the command line to be written to the output capture file, and no other packets to be written to the output capture file.

-v

  Causes editcap to print a number of messages while it's working.

-s

  Sets the snapshot length to use when writing the data.

-t

  Sets the time adjustment to use on selected frames.

-h

  Prints the version and options and exits.

# EXAMPLES

To see more detailed description of the options use:

        editcap -h

To shrink the capture file by truncating the packets at 64 bytes and writing it as Sun snoop file use:

        editcap -s 64 -F snoop capture.pcap shortcapture.snoop

To delete packet 1000 from the capture file use:

        editcap capture.pcap sans1000.pcap 1000

To limit a capture file to packets from number 200 to 750 (inclusive) use:

        editcap -r capture.pcap small.pcap 200-750

To get all packets from number 1-500 (inclusive) use:

        editcap -r capture.pcap 500.pcap 1-500

or

        editcap capture.pcap 500.pcap 501-9999999

To filter out packets 10 to 20 and 30 to 40 into a new file use:

        editcap capture.pcap selection.pcap 10-20 30-40

To introduce 5% random errors in a capture file use:

      editcap -E 0.05 capture.pcap capture_error.pcap

# SEE ALSO

tcpdump(8), pcap(3), ethereal(1), mergecap(1)

# NOTES

Editcap is part of the Ethereal distribution. The latest version of Ethereal can be found at http://www.ethereal.com.

# AUTHORS

      Original Author
      -------- ------
      Richard Sharpe           <sharpe[AT]ns.aus.com>

      Contributors
      ------------
      Guy Harris               <guy[AT]alum.mit.edu>